Subject: Re: [PATCH] netdev: don't always reset iflink when registering

From: Patrick McHardy <[email-masked]>
Date: Mon, 22 Mar 2010 18:42:43 +0100

Tom Goff wrote:
> Bound tunnel devices set their iflink to the ifindex of the underlying
> network interface when created.  It shouldn't be reset by the
> registration process.
>   

Which ones exactly? Usually they do this in ->setup() or later on.